Skip to main content
GET
/
watchlist
/
filter-values
Autocomplete filter values
curl --request GET \
  --url https://api.lemlist.com/api/watchlist/filter-values \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/watchlist/filter-values"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/watchlist/filter-values', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/watchlist/filter-values")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/watchlist/filter-values",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "filterId": "<string>",
    "results": [
      "<string>"
    ]
  }
}
"filterId is not a supported watch list autocomplete filter"
"Unauthorized"
"Internal server error"
"Failed to fetch filter values from search backend"
Autocomplete filters require a query. Static (select) filters ignore it and return their full value list. Use the filterId values returned by List allowed filters.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

filterId
enum<string>
required

Filter to resolve values for

Available options:
title,
description,
location,
visitLocation,
website,
pagesTracked,
minVisitDuration,
minPageViewed,
internalTraffic,
linkedinUrls,
companyLinkedinUrls,
companyNames,
companyLocation,
companyIndustries,
companySizes,
maxIdentificationsPerDay,
excludedVisitorIps,
reactionTypes,
linkedinTopics,
bomboraTopics,
watcherWatchKey,
questions,
fundraisingMinAmount,
fundraisingMaxAmount,
fundraisingInvestmentTypes,
fundraisingInvestors,
technologies,
detectionMode,
maDealTypes,
maMinAmount,
persona,
externalSignalFieldMapping,
externalSignalCustomFieldMapping,
seniority,
crmListIds,
minJobCount,
timeframe
query
string

Search text (required for autocomplete filters). 1-100 characters.

Required string length: 1 - 100

Response

Success

data
object